package com.ywt.outpatient.params.api.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author daiyihua
 * @create 2022-01-17 11:18
 * @program glasses_service
 * @description 商品参数VO
 **/
@ApiModel(value = "商品参数VO")
public class GoodsParmVO implements Serializable {

    /**
     * '球镜度（D）', 'spherDegreeR', 'spherDegreeL'
     * '柱镜度（D）', 'lentiDegreeR', 'lentiDegreeL'
     * '轴位（°）', 'axialR', 'axialL'
     * '棱镜度（▲）', 'prismDegreeR', 'prismDegreeL'
     * '棱镜基底', 'prismBaseR', 'prismBaseL'
     * '光学中心高度（MM）', 'ocHeightR', 'ocHeightL'
     * '光学中心水平距离', 'ocHorizonDistR', 'ocHorizonDistL'
     * '矫正视力', 'cvaR', 'cvaL'
     * 'ADD（D）', 'addR', 'addL'
     */

    @ApiModelProperty(value = "球镜度（D）右边", example = "")
    private String spherDegreeR;

    @ApiModelProperty(value = "球镜度（D）左边", example = "")
    private String spherDegreeL;

    @ApiModelProperty(value = "柱镜度（D）右边", example = "")
    private String lentiDegreeR;

    @ApiModelProperty(value = "柱镜度（D）左边", example = "")
    private String lentiDegreeL;

    @ApiModelProperty(value = "轴位（°）右边", example = "")
    private String axialR;

    @ApiModelProperty(value = "轴位（°）左边", example = "")
    private String axialL;

    @ApiModelProperty(value = "棱镜度（▲）右边", example = "")
    private String prismDegreeR;

    @ApiModelProperty(value = "棱镜度（▲）左边", example = "")
    private String prismDegreeL;

    @ApiModelProperty(value = "棱镜基底右边", example = "")
    private String prismBaseR;

    @ApiModelProperty(value = "棱镜基底左边", example = "")
    private String prismBaseL;

    @ApiModelProperty(value = "光学中心高度（MM）右边", example = "")
    private String ocHeightR;

    @ApiModelProperty(value = "光学中心高度（MM）左边", example = "")
    private String ocHeightL;

    @ApiModelProperty(value = "光学中心水平距离右边", example = "")
    private String ocHorizonDistR;

    @ApiModelProperty(value = "光学中心水平距离左边", example = "")
    private String ocHorizonDistL;

    @ApiModelProperty(value = "矫正视力右边", example = "")
    private String cvaR;

    @ApiModelProperty(value = "矫正视力左边", example = "")
    private String cvaL;

    @ApiModelProperty(value = "ADD（D）右边", example = "")
    private String addR;

    @ApiModelProperty(value = "ADD（D）左边", example = "")
    private String addL;

    public String getSpherDegreeR() {
        return spherDegreeR;
    }

    public void setSpherDegreeR(String spherDegreeR) {
        this.spherDegreeR = spherDegreeR;
    }

    public String getSpherDegreeL() {
        return spherDegreeL;
    }

    public void setSpherDegreeL(String spherDegreeL) {
        this.spherDegreeL = spherDegreeL;
    }

    public String getLentiDegreeR() {
        return lentiDegreeR;
    }

    public void setLentiDegreeR(String lentiDegreeR) {
        this.lentiDegreeR = lentiDegreeR;
    }

    public String getLentiDegreeL() {
        return lentiDegreeL;
    }

    public void setLentiDegreeL(String lentiDegreeL) {
        this.lentiDegreeL = lentiDegreeL;
    }

    public String getAxialR() {
        return axialR;
    }

    public void setAxialR(String axialR) {
        this.axialR = axialR;
    }

    public String getAxialL() {
        return axialL;
    }

    public void setAxialL(String axialL) {
        this.axialL = axialL;
    }

    public String getPrismDegreeR() {
        return prismDegreeR;
    }

    public void setPrismDegreeR(String prismDegreeR) {
        this.prismDegreeR = prismDegreeR;
    }

    public String getPrismDegreeL() {
        return prismDegreeL;
    }

    public void setPrismDegreeL(String prismDegreeL) {
        this.prismDegreeL = prismDegreeL;
    }

    public String getPrismBaseR() {
        return prismBaseR;
    }

    public void setPrismBaseR(String prismBaseR) {
        this.prismBaseR = prismBaseR;
    }

    public String getPrismBaseL() {
        return prismBaseL;
    }

    public void setPrismBaseL(String prismBaseL) {
        this.prismBaseL = prismBaseL;
    }

    public String getOcHeightR() {
        return ocHeightR;
    }

    public void setOcHeightR(String ocHeightR) {
        this.ocHeightR = ocHeightR;
    }

    public String getOcHeightL() {
        return ocHeightL;
    }

    public void setOcHeightL(String ocHeightL) {
        this.ocHeightL = ocHeightL;
    }

    public String getOcHorizonDistR() {
        return ocHorizonDistR;
    }

    public void setOcHorizonDistR(String ocHorizonDistR) {
        this.ocHorizonDistR = ocHorizonDistR;
    }

    public String getOcHorizonDistL() {
        return ocHorizonDistL;
    }

    public void setOcHorizonDistL(String ocHorizonDistL) {
        this.ocHorizonDistL = ocHorizonDistL;
    }

    public String getCvaR() {
        return cvaR;
    }

    public void setCvaR(String cvaR) {
        this.cvaR = cvaR;
    }

    public String getCvaL() {
        return cvaL;
    }

    public void setCvaL(String cvaL) {
        this.cvaL = cvaL;
    }

    public String getAddR() {
        return addR;
    }

    public void setAddR(String addR) {
        this.addR = addR;
    }

    public String getAddL() {
        return addL;
    }

    public void setAddL(String addL) {
        this.addL = addL;
    }

    public GoodsParmVO() {
        this.spherDegreeR = "";
        this.spherDegreeL = "";
        this.lentiDegreeR = "";
        this.lentiDegreeL = "";
        this.axialR = "";
        this.axialL = "";
        this.prismDegreeR = "";
        this.prismDegreeL = "";
        this.prismBaseR = "";
        this.prismBaseL = "";
        this.ocHeightR = "";
        this.ocHeightL = "";
        this.ocHorizonDistR = "";
        this.ocHorizonDistL = "";
        this.cvaR = "";
        this.cvaL = "";
        this.addR = "";
        this.addL = "";
    }
}
